// CPACSetp.hpp : header file
/////////////////////////////////////////////////////////////////////////////
#ifndef _CAPCSETP_HPP_
#define _CAPCSETP_HPP_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "EdAcIRes.h"
#include <afxtempl.h>

typedef CList<UINT *, UINT *> td_ListOfID;

typedef struct OAC_stSetupTreeItem
{
	CString csTreeString;
	td_ListOfID ListOfID;

} OAC_tdstSetupTreeItem;

typedef CList<OAC_tdstSetupTreeItem *, OAC_tdstSetupTreeItem *> td_ListOfListOfID;

/////////////////////////////////////////////////////////////////////////////
// EdActors_EditorSetupDialog dialog

class EdActors_EditorSetupDialog : public CDialog
{
// Construction
public:
	// standard constructor
	EdActors_EditorSetupDialog(CWnd* pParent = NULL);   
	
	//Destructor
	~EdActors_EditorSetupDialog();

// Dialog Data
	//{{AFX_DATA(EdActors_EditorSetupDialog)
	enum { IDD = IDD_CAR_D_SETUP };
	BOOL	m_bMustDisplayModelFieldsInInstance;
	BOOL	m_bMustConfirmSuppressionInWatch;
	BOOL	m_bKeepPreviousReference;
	BOOL	m_bMustDisplayUnallocatedMS;
	BOOL	m_bMustConfirmUnallocation;
	BOOL	m_bMustConfirmAllocation;
	int		m_iHelpRadioValue;
	BOOL	m_bSynchronizeDialogListWithEdition;
	BOOL	m_bWatchAlwaysVisible;
	BOOL	m_bProposeUnloadedModels;
	BOOL	m_bRestoreGroup;
	BOOL	m_bAskForNewInstanceName;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(EdActors_EditorSetupDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

private:
	HINSTANCE m_hOldInstance;

	td_ListOfListOfID m_clListOfListOfID;
	OAC_tdstSetupTreeItem *m_pri_p_tdstCurrentTreeItem;

// Implementation
public:

protected:

	// Generated message map functions
	//{{AFX_MSG(EdActors_EditorSetupDialog)
	afx_msg void OnPaint();
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangedTreeSubSetup(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDestroy();
	//}}AFX_MSG
	afx_msg long OnMyHelp(UINT, long);

private:
	void m_pri_fn_vDisplayControlsForType(OAC_tdstSetupTreeItem *_p_tdstTreeItem);
	BOOL m_fn_bEditColor(COLORREF &r_Color);


	DECLARE_MESSAGE_MAP()
};

#endif //_CAPCSETP_HPP_
